﻿namespace Inedo.WindowsServices
{
    /// <summary>
    /// Specifies the startup mode of a Windows service.
    /// </summary>
    public enum ServiceStartMode
    {
        /// <summary>
        /// A device driver started by the system loader. This value is valid only for driver services.
        /// </summary>
        Boot = (int)ServiceApi.SERVICE_START.SERVICE_BOOT_START,
        /// <summary>
        /// A device driver started by the IoInitSystem function. This value is valid only for driver services.
        /// </summary>
        System = (int)ServiceApi.SERVICE_START.SERVICE_SYSTEM_START,
        /// <summary>
        /// A service started automatically by the service control manager during system startup.
        /// </summary>
        Auto = (int)ServiceApi.SERVICE_START.SERVICE_AUTO_START,
        /// <summary>
        /// A service started by the service control manager when a process calls the StartService function.
        /// </summary>
        Demand = (int)ServiceApi.SERVICE_START.SERVICE_DEMAND_START,
        /// <summary>
        /// A service that cannot be started.
        /// </summary>
        Disabled = (int)ServiceApi.SERVICE_START.SERVICE_DISABLED
    }
}
